GCC-9 upgrades break folding

It seems that a lot of GPU problems revolve around specific versions of drivers. Though NVidia has their own support structure, you can often learn from information reported by others who fold.

Moderators: Site Moderators, FAHC Science Team

GCC-9 upgrades break folding

Postby Runaway1956 » Fri May 15, 2020 8:05 am

I drive an Antix linux, a rolling release. After the most recent update/upgrade, folding stopped working.

GCC-8 was upgraded to GCC-9, but the FAHClient was unable to use GCC-9. Everything just came to a halt, with error messages about "no opencl device" and "no opencl defined" along with a couple of others. It took a good bit of searching to figure out why I suddenly had no opencl devices.

If you are hit with GCC upgrades, the simplest solution is to install the update-alternatives package from your distro, then "install" both GCC and G++ into update-alternatives. Then choose to use GCC-8 rather than GCC-9. The help page that proved to be most valuable to me: https://askubuntu.com/questions/1028601 ... untu-18-04 You can actually copy/paste commands from that page into your own terminal, change the versions as necessary, then enter the commands. Or, to be safer, c/p into a text editor, do the editing necessary, then enter the commands into your root terminal.

Note that this doesn't appear to be a FAH problem, exactly. The problem is that nVidia looks for a particular GCC during installation, and refuses to install if it doesn't find a matching GCC. You may force install from the .run file, with --override, but folding won't work, and I suspect any other applications trying to use opencl will also fail.

Just ensure that the nVidia driver can access the compiler it is looking for, and the problem is solved.
Image
Runaway1956
 
Posts: 17
Joined: Mon Feb 15, 2016 1:19 pm

Re: GCC-9 upgrades break folding

Postby MarcvdM » Tue May 26, 2020 9:41 am

I guess you run an old nvidia driver? I'm on Fedora 31, gcc version gcc-9.3.1-2.fc31.x86_64. No issues with folding. kernel is at 5.6.13-200.fc31.x86_64, and nvidia driver at 440.82. dkms used to build the nvidia kernel modules
PS - folding doesn't "use" gcc. gcc is used to compile stuff, folding installs as a binary.
MarcvdM
 
Posts: 14
Joined: Mon Apr 06, 2020 8:02 am


Return to Problems with NVidia drivers

Who is online

Users browsing this forum: No registered users and 3 guests

cron